---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: check-yaml
      - id: end-of-file-fixer
      - id: trailing-whitespace
      - id: mixed-line-ending
        args: ["--fix=lf"]
  - repo: local
    hooks:
      - id: yamllint
        name: yamllint
        description: This hook runs yamllint.
        entry: yamllint
        language: python
        files: \.(yaml|yml)$
        types: [file, yaml]
      - id: ansible-lint
        name: ansible-lint
        description: This hook runs ansible-lint.
        entry: ansible-lint -v --force-color ./
        language: python
        pass_filenames: false
        always_run: true
